package com.njcn.prepare.harmonic.service.mysql.area;

import com.njcn.device.biz.pojo.dto.DeptGetChildrenMoreDTO;
import com.njcn.prepare.harmonic.pojo.bo.CalculatedParam;


/**
 * Description:
 * Date: 2023/5/26  15:40【需求编号】
 *
 * @author clam
 * @version V1.0.0
 */
public interface RStatHarmonicService {

    void handleDay(CalculatedParam<DeptGetChildrenMoreDTO> calculatedParam);

    void handleMonth(CalculatedParam<DeptGetChildrenMoreDTO> calculatedParam);

    void handleQtr(CalculatedParam<DeptGetChildrenMoreDTO> calculatedParam);

    void handleYear(CalculatedParam<DeptGetChildrenMoreDTO> calculatedParam);
}
